Description

It is required as nico said that there would be multiple file hosts and not necessarily all files are available on some particular host.

https://chat.ungleich.ch/ungleich/pl/3pf77f1ui7yiupxjyaayzf67ry

History

#1 - 01/07/2020 02:44 PM - Ahmed Bilal

Done. Sample

Before

[meow@meow-pc ~]$ uncloud cli user files

{

"message": [
{
"filename": "docs/abc.txt",
"uuid": "09085d08-46el1-4705-a249-141944517df2"
s
{
"filename": "images/alpine-ucloud.gcow2",
"uuid": "2c28d504-c261-4bde-8f28-7b2cac2d74b3"
}I
{
"filename": "a/b/cat",

"uuid": "b21c4d28-25a4-4a83-86dd-6a84c4593eb6a"

After

[meow@meow-pc ~]$ uncloud cli user files

{

"message": [
{
"creation_date": "Sun Jan 5 17:16:53 2020",
"filename": "docs/abc.txt",
"host": "2ala:ebcl:144::",
"size": "1.2e-05 MB",
"uuid": "09085d08-46el1-4705-a249-141944517df2"
}I
{
"creation_date": "Sun Jan 5 16:49:43 2020",
"filename": "images/alpine-ucloud.gcow2",
"host": "2ala:ebcl:144::",
"size": "292.749312 MB",
"uuid": "2c¢28d504-c261-4bde-8f28-7b2cac2d74b3"
s
{
"creation_date": "Sun Jan 5 17:20:18 2020",
"filename": "a/b/cat",
"host": "2al0a:e5cl:144::",
"size": "4e-06 MB",

"uuid": "b21c4d28-25a4-4a83-86dd-6a84c4593eb6a"
https://chat.ungleich.ch/ungleich/pl/3pf77f1ui7yiupxjyqayzf67ry

#2 - 01/07/2020 04:18 PM - Nico Schottelius

We should have a "created_at" and "deleted_at" for every object.

#3 - 01/07/2020 04:19 PM - Nico Schottelius

For the example above: the host would probably often more something like "files1.datacenterlight.ch" or "username.datacenterlight.ch” or so.

#4 - 01/07/2020 06:33 PM - Ahmed Bilal

Nico Schottelius wrote:

For the example above: the host would probably often more something like "files1.datacenterlight.ch" or "username.datacenterlight.ch" or so.

Yeabh, it is just my local machine. So, i put my IPv6 address directly :)

#5 - 01/13/2020 03:14 AM - Ahmed Bilal

- Status changed from New to Closed
